# Generated by Django 2.2.7 on 2019-11-21 10:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0065_establishment_purchased_products'),
        ('partner', '0002_auto_20191101_0939'),
    ]

    operations = [
        migrations.AddField(
            model_name='partner',
            name='establishment',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='partners', to='establishment.Establishment', verbose_name='Establishment'),
        ),
        migrations.AddField(
            model_name='partner',
            name='expiry_date',
            field=models.DateField(blank=True, null=True, verbose_name='expiry date'),
        ),
        migrations.AddField(
            model_name='partner',
            name='name',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='name'),
        ),
        migrations.AddField(
            model_name='partner',
            name='old_id',
            field=models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id'),
        ),
        migrations.AddField(
            model_name='partner',
            name='price_per_month',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='price per month'),
        ),
        migrations.AddField(
            model_name='partner',
            name='starting_date',
            field=models.DateField(blank=True, null=True, verbose_name='starting date'),
        ),
        migrations.AddField(
            model_name='partner',
            name='type',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Partner'), (1, 'Sponsor')], default=0),
        ),
    ]
